## loci.formats
Class LegacyPictReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.LegacyPictReader

public class LegacyPictReader
extends FormatReader

LegacyPictReader is the old file format reader for Apple PICT files. To use it, QuickTime for Java must be installed.

Field Summary

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`LegacyPictReader()` Constructs a new PICT reader.

Method Summary
`void` `close()` Closes any open files.
`int` `getImageCount(String id)` Determines the number of images in the given PICT file.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for a PICT file.
`static void` `main(String[] args)`
`BufferedImage` `open(String id, int no)` Obtains the specified image from the given PICT file.

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, initFile, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyPictReader

    public LegacyPictReader()

  Constructs a new PICT reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for a PICT file.

  Specified by:
    `isThisType` in class `FormatReader`

### getImageCount

    public int getImageCount(String id)
                      throws FormatException,
                             IOException

  Determines the number of images in the given PICT file.

  Specified by:
    `getImageCount` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### open

    public BufferedImage open(String id,
                              int no)
                       throws FormatException,
                              IOException

  Obtains the specified image from the given PICT file.

  Specified by:
    `open` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### close

    public void close()
               throws FormatException,
                      IOException

  Closes any open files.

  Specified by:
    `close` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`